package com.install4j.api.windows;

import com.install4j.runtime.installer.platform.win32.FolderInfo;

/**
 * Enumeration class for the different drive types a file can be located on.

 * @author ej-technologies GmbH
 */
public class DriveType {

    /**
     * The drive type could not be determined.
     */
    public static final DriveType UNKNOWN = new DriveType(FolderInfo.DRIVE_UNKNOWN, "unknown");

    /**
     * A removable drive.
     */
    public static final DriveType REMOVABLE = new DriveType(FolderInfo.DRIVE_REMOVABLE, "removable");

    /**
     * A fixed (local) drive.
     */
    public static final DriveType FIXED = new DriveType(FolderInfo.DRIVE_FIXED, "fixed");

    /**
     * A remote (network) drive.
     */
    public static final DriveType REMOTE = new DriveType(FolderInfo.DRIVE_REMOTE, "remote");

    /**
     * A cdrom.
     */
    public static final DriveType CDROM = new DriveType(FolderInfo.DRIVE_CDROM, "cdrom");

    /**
     * A ram disk.
     */
    public static final DriveType RAMDISK = new DriveType(FolderInfo.DRIVE_RAMDISK, "ramdisk");

    private int type;
    private String name;

    private DriveType(int type, String name) {
        this.type = type;
        this.name = name;
    }

    public String toString() {
        return name;
    }
}
